Enrich
Find phone
Finds a LinkedIn contact’s mobile phone number.
POST
https://api.talktohumans.app
/
v1
/
contacts
/
{contact_id}
/
find-phone
Find phone
curl --request POST \
--url https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '42'})
};
fetch('https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload = { "account_id": "42" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload := strings.NewReader("{\n \"account_id\": \"42\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"contact": {
"account_relationship_id": "<string>",
"contact_id": "<string>",
"provider_participant_id": "<string>",
"account": {
"account_id": "<string>",
"display_name": "<string>",
"provider_account_id": "<string>",
"owner_user_id": "<string>"
},
"name": "<string>",
"contact_enrichment": {
"work_email": {
"status": "not_requested",
"error_code": "<string>"
},
"phone": {
"status": "not_requested",
"error_code": "<string>"
}
},
"relationship_status": "connected",
"tags": [
{
"name": "<string>",
"color": "green"
}
],
"languages": [
{
"language": "<string>"
}
],
"experiences": [
{
"experience_id": "<string>",
"is_current": true,
"company_participant_id": "<string>",
"company_provider_participant_id": "<string>",
"company_name": "<string>",
"title": "<string>",
"employment_type": "<string>",
"location": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"educations": [
{
"education_id": "<string>",
"school_participant_id": "<string>",
"school_provider_participant_id": "<string>",
"school_name": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"app_url": "<string>",
"public_identifier": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"primary_role_title": "<string>",
"primary_company_name": "<string>",
"work_email": "<string>",
"phone": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"about": "<string>",
"profile_action_label": "<string>",
"profile_action_url": "<string>",
"follower_count": 123,
"connections_count": 123,
"connection_invitation": {
"status": "pending",
"direction": "incoming",
"invite_id": "<string>",
"invite_state": "<string>",
"invite_type": "<string>",
"received_at": "2023-11-07T05:31:56Z"
},
"notes_json": "<string>",
"company": {
"company_id": "<string>",
"provider_participant_id": "<string>",
"name": "<string>",
"industries": [
{
"name": "<string>",
"title": "<string>",
"industry_urn": "<string>",
"provider_industry_id": "<string>",
"hierarchy": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"public_identifier": "<string>",
"headline": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"headcount": "<string>",
"employee_count": 123,
"founding_date": "<string>",
"website_url": "<string>",
"follower_count": 123,
"about": "<string>",
"notes_json": "<string>",
"tags": [
{
"name": "<string>",
"color": "green"
}
]
},
"last_interaction_at": "2023-11-07T05:31:56Z",
"sequence": {
"sequence_id": "<string>",
"status": "<string>",
"stop_if_person_replies": true,
"steps": [
{
"step_id": "<string>",
"step_type": "<string>",
"trigger_type": "<string>",
"position": 123,
"message_mode": "<string>",
"state": "<string>",
"template_run_public_id": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z"
}
],
"reply_guard_after": "2023-11-07T05:31:56Z",
"next_step_id": "<string>",
"next_step_scheduled_for": "2023-11-07T05:31:56Z"
}
}
}
}
Authorizations
Pass API key as Authorization: Bearer <api_key>.
Path Parameters
Contact ID returned by POST /v1/contacts or GET /v1/contacts.
Pattern:
^[1-9][0-9]*$Body
application/json
Response
Contact with the lookup result.
Show child attributes
Show child attributes
⌘I
Find phone
curl --request POST \
--url https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '42'})
};
fetch('https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload = { "account_id": "42" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload := strings.NewReader("{\n \"account_id\": \"42\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"contact": {
"account_relationship_id": "<string>",
"contact_id": "<string>",
"provider_participant_id": "<string>",
"account": {
"account_id": "<string>",
"display_name": "<string>",
"provider_account_id": "<string>",
"owner_user_id": "<string>"
},
"name": "<string>",
"contact_enrichment": {
"work_email": {
"status": "not_requested",
"error_code": "<string>"
},
"phone": {
"status": "not_requested",
"error_code": "<string>"
}
},
"relationship_status": "connected",
"tags": [
{
"name": "<string>",
"color": "green"
}
],
"languages": [
{
"language": "<string>"
}
],
"experiences": [
{
"experience_id": "<string>",
"is_current": true,
"company_participant_id": "<string>",
"company_provider_participant_id": "<string>",
"company_name": "<string>",
"title": "<string>",
"employment_type": "<string>",
"location": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"educations": [
{
"education_id": "<string>",
"school_participant_id": "<string>",
"school_provider_participant_id": "<string>",
"school_name": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"app_url": "<string>",
"public_identifier": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"primary_role_title": "<string>",
"primary_company_name": "<string>",
"work_email": "<string>",
"phone": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"about": "<string>",
"profile_action_label": "<string>",
"profile_action_url": "<string>",
"follower_count": 123,
"connections_count": 123,
"connection_invitation": {
"status": "pending",
"direction": "incoming",
"invite_id": "<string>",
"invite_state": "<string>",
"invite_type": "<string>",
"received_at": "2023-11-07T05:31:56Z"
},
"notes_json": "<string>",
"company": {
"company_id": "<string>",
"provider_participant_id": "<string>",
"name": "<string>",
"industries": [
{
"name": "<string>",
"title": "<string>",
"industry_urn": "<string>",
"provider_industry_id": "<string>",
"hierarchy": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"public_identifier": "<string>",
"headline": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"headcount": "<string>",
"employee_count": 123,
"founding_date": "<string>",
"website_url": "<string>",
"follower_count": 123,
"about": "<string>",
"notes_json": "<string>",
"tags": [
{
"name": "<string>",
"color": "green"
}
]
},
"last_interaction_at": "2023-11-07T05:31:56Z",
"sequence": {
"sequence_id": "<string>",
"status": "<string>",
"stop_if_person_replies": true,
"steps": [
{
"step_id": "<string>",
"step_type": "<string>",
"trigger_type": "<string>",
"position": 123,
"message_mode": "<string>",
"state": "<string>",
"template_run_public_id": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z"
}
],
"reply_guard_after": "2023-11-07T05:31:56Z",
"next_step_id": "<string>",
"next_step_scheduled_for": "2023-11-07T05:31:56Z"
}
}
}
}